unit ServerMethodsUnit1;

interface

uses
  SysUtils, Classes, DSServer;

type
  TServerMethods1 = class(TDSServerModule)
  private
    { Private declarations }
  public
    { Public declarations }
    function EchoString(Value: string): string;
    function ReverseString(Value: string): string;
  end;

implementation

{$R *.dfm}

uses StrUtils, DSService;

function TServerMethods1.EchoString(Value: string): string;
begin
  Result := Value + #13#10 + TDSSessionManager.GetThreadSession.GetData('RemoteAddr');
end;

function TServerMethods1.ReverseString(Value: string): string;
begin
  Result := StrUtils.ReverseString(Value);
end;

end.

